%define qversion 1.03
%define qdir  /var/qmail
%define qlog  /var/log/qmail

# defining Group-ID's
# define GID for qmail-Group
%define QMGID 200
# define GID for nofiles-Group
%define NFGID 201

# defining USER-ID's
# define UID for qmailq
%define QMQID 200

# define UID for qmailr
%define QMRID 201

# define UID for qmails
%define QMSID 202

# define UID for qmaild
%define QMDID 203

# define UID for qmaill
%define QMLID 204

# define UID for qmailp
%define QMPID 205

# define UID for alias
%define QALID 206

# vmail home-dir
%define VM_HOME /srv/maildirs

# define UID for vmail "maildirowner"
%define VMID 303

# define GID for vmail "maildirowner"
%define VMGID 303

# vpopmail group
%define VPOPGID 89

# vpopmail user
%define VPOPUID 89

%define VPOP_HOME /var/vpopmail

# sweep user
%define SWEEPUID 90

# sweep group
%define SWEEPGID 90

# sweep home
%define SWEEP_HOME /var/lib/sav

Name:           qmail_prepare_build
Summary:        prepare build environment
Version:        0.4
Release:        5.1
License:        GNU
Group:          Productivity/Networking/Email/Servers
URL:            none
Buildroot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:	openldap2-client
Requires:	openldap2-client sysvinit
PreReq:		%fillup_prereq
%endif
%if 0%{?suse_version} >= 1030
PreReq:		pwdutils
Requires:	pwdutils
BuildRequires:  pwdutils
%endif
%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora_version}
BuildRequires:	shadow-utils
Requires:	shadow-utils
%endif

%description
this package prepares build environment for qmail packages

%setup -c -T

%install
echo "a dummy readme" > README

%post
if [ -z  "`%__grep "^qmail:" /etc/group 2>/dev/null`" ]; then
  %{_sbindir}/groupadd -r -g %{QMGID} qmail
fi
if [ -z  "`%__grep "^nofiles:" /etc/group 2>/dev/null`" ]; then
  %{_sbindir}/groupadd -r -g %{NFGID} nofiles
fi
if [ -z  "`%__grep "^vmail:" /etc/group 2>/dev/null`" ]; then
  %{_sbindir}/groupadd -r -g %{VMGID} vmail
fi

# vpopmail : groupadd -g 89 vchkpw
if [ -z "`%__grep "^vchkpw:" /etc/group 2>/dev/null`" ]; then
  %{_sbindir}/groupadd -r -g %{VPOPGID} vchkpw
fi

# sweep
if [ -z "`%__grep "^sweep:" /etc/group 2>/dev/null`" ]; then
  %{_sbindir}/groupadd -r -g %{SWEEPGID} sweep
fi


# user qmailq qmailr qmails qmaild qmaill qmailp alias vmail
if [ -z "`%__grep "^qmailq" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail queue" -d %{qdir} -g qmail -u %{QMQID} -r -s /bin/false qmailq
fi
if [ -z "`%__grep "^qmailr" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail remote" -d %{qdir} -g qmail -u %{QMRID} -r -s /bin/false qmailr
fi
if [ -z "`%__grep "^qmails" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail send" -d %{qdir} -g qmail -u %{QMSID} -r -s /bin/false qmails
fi
if [ -z "`%__grep "^qmaild" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail daemon" -d %{qdir} -g nofiles -u %{QMDID} -r -s /bin/false qmaild
fi
if [ -z "`%__grep "^qmaill" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail logger" -d %{qdir} -g nofiles -u %{QMLID} -r -s /bin/false qmaill
fi
if [ -z "`%__grep "^qmailp" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail passwd" -d %{qdir} -g nofiles -u %{QMPID} -r -s /bin/false qmailp
fi
if [ -z "`%__grep "^alias" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "qmail alias" -d %{qdir}/alias -g nofiles -u %{QALID} -r -s /bin/false alias
fi
if [ -z "`%__grep "^vmail" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "maildirs chef" -d %{VM_HOME} -g %{VMGID} -u %{VMID} -r -s /bin/false vmail
fi
if [ -z "`%__grep "^vpopmail" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "vpopmail" -d %{VPOP_HOME} -g %{VPOPGID} -u %{VPOPUID} -r -s /bin/bash vpopmail
fi
if [ -z "`%__grep "^sweep" /etc/passwd 2>/dev/null`" ]; then
  %{_sbindir}/useradd -c "sweep" -d %{SWEEP_HOME} -g %{SWEEPGID} -u %{SWEEPUID} -r -s /bin/false sweep
fi


%files
%defattr(-,root,root)
%doc README

%changelog
* Mon Apr 28 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package
